Subject: Re: bug#53146: 29.0.50; Lock up in X11 call

From: Michael Welsh Duggan <[email-masked]>
Date: Mon, 10 Jan 2022 12:35:13 -0500

Po Lu <[email-masked]> writes:

> Michael Welsh Duggan <[email-masked]> writes:
>
>> Due to what I believe is a bug in Gnome shell or a Gnome shell extension
>> that I have running, I am experiencing places where Emacs will lock up
>> completely.  
>>
>> Under some unknown circumstances, when idle for a long while, sometimes
>> gnome shell on my system will enter the activities overview instead of
>> blanking the screen.  Why it does this is unknown, is likely a bug in
>> gnome shell or one of my gnome extensions, and is likely itself
>> unrelated to Emacs.  When I exit this state, though, Emacs is in a
>> locked-up, unpainted (blank) state and will not respond to anything
>> short of a SIGTERM.  Sending a SIGTERM will cause a frame to redraw, but
>> Emacs remains in a locked and useless state.  With a second SIGTERM,
>> emacs exits.
>>
>> I have attached to the locked up Emacs in a gdb session.  I've done this
>> twice, and each time the backtrace was nearly identical, locking up in
>> deep within XSetICValues() in xic_set_preeditarea().  This has been
>> ocurring about once every two days, on average, so I can probably
>> recreate it, if desired.
>
> Hmm, could you try this with the following X resource applied?
>
>   Emacs.inputStyle: none
>
> Thanks.
>
> Also, what version of GNOME Shell is that, and which extensions have you
> installed?

Gnome 41.2.  The extension I believe might be involved is
vertical-overview
<URL:https://github.com/RensAlthuis/vertical-overview>.  Might be
triggered when screen blanking happens while there is a fullscreen
window in a desktop, possibly when the desktop is not the current
desktop.  I'm running for a while without this extension in order to try
and determine if is a prerequisite for the failure.

Po Lu <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> Hmm, could you try this with the following X resource applied?
>>
>>   Emacs.inputStyle: none
>
> Also, please try master to see if it's been fixed.  It's a bit of a stab
> in the dark, but it might work.

I'll try that in another day or so.  Thanks.

-- 
Michael Welsh Duggan
([email-masked])